Bug 428509 - split poppler-glib out
Summary: split poppler-glib out
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 226305 428489
TreeView+ depends on / blocked
 
Reported: 2008-01-12 13:19 UTC by Patrice Dumas
Modified: 2008-01-29 14:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 14:56:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to split libpoppler and libpoppler-glib (1.97 KB, patch)
2008-01-23 13:27 UTC, Jindrich Novy
no flags Details | Diff

Description Patrice Dumas 2008-01-12 13:19:42 UTC
Description of problem:

poppler brings in a log of dependencies through libpoppler-glib.so.
I think that it would be better to split the poppler package
in two with a new subpackage containing 
/usr/lib/libpoppler-glib.so.2
/usr/lib/libpoppler-glib.so.2.0.0
for example called poppler-glib.
texlive uses libpoppler.so but not libpoppler-glib and doesn't
need glib dependencies.

I can do a patch if you agree.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jindrich Novy 2008-01-14 10:55:24 UTC
Patrice, patch is always appreciated and always quicker to be applied. Feel free
to attach it and I'll review/test it as well. Adding also Mattihias to Cc, he
migtht be also interested :)

Comment 2 Patrice Dumas 2008-01-14 11:52:40 UTC
I only do patches when the maintainer has agreed in principle
(except for obvious fixes). I dislike doing unneeded work and I
have bad experiences from the past.

Comment 3 Jindrich Novy 2008-01-23 13:27:56 UTC
Created attachment 292636 [details]
Proposed patch to split libpoppler and libpoppler-glib

Comment 4 Matthias Clasen 2008-01-29 14:56:42 UTC
Its done in 0.6.4-1.fc9


Note You need to log in before you can comment on or make changes to this bug.